%define		own	asterisk
%define		grp	asterisk
%define		sown	root
%define		sgrp	root
%define		rawname	cdr

Name:		freepbx-%{rawname}
Version:	16.0.46.27
Release:	1%{?dist}
Summary:	CDR Reports

License:	See Freepbx Readme
Source0:	https://mirror.freepbx.org/modules/packages/%{rawname}/%{rawname}-%{version}.tgz

Patch0:   freepbx-cdr-16.0.46.23-noBackup.patch

Requires:	freepbx >= 13.0.1beta3.56
Requires:	freepbx-core >= 12.0.8
Requires:	freepbx-backup >= 16.0.63

Provides:	freepbx-%{rawname} = %{version}-%{release}

BuildArch:	noarch

%description
Call Data Record report tools for viewing reports of your calls

%prep
%setup -q -n %{rawname}
%patch0 -p1

# Controlliamo la eventuale presenza di particolarita' da gestire
for ddd in agi-bin bin sbin astetc images sounds moh hooks ; do
	[ -e $ddd ] && echo presente $ddd, va gestito && exit 1
done

# Non mi va di lanciare gpg a destra e a manca, solo per venire a sapere che ho modificato i moduli
%{__rm} module.sig

# Delete backup files
find . -name '*.orig' -exec rm '{}' ';'
find . -name '.git*' -exec rm -rf '{}' ';'

# fix dir perms
find . -type d -exec chmod 755 '{}' ';'
find . -type f -exec chmod 644 '{}' ';'
#find . -type f -regex '.*\.\(php\|html\)$' -exec chmod 644 '{}' ';'

%install
%{__install} -d %{buildroot}%{_sysconfdir}/asterisk
%{__install} -m0664 etc/* %{buildroot}%{_sysconfdir}/asterisk/

%{__install} -d %{buildroot}%{_datadir}/freepbx/admin/assets
%{__ln_s} %{_datadir}/freepbx/admin/modules/%{rawname}/assets %{buildroot}%{_datadir}/freepbx/admin/assets/%{rawname}

%{__install} -d %{buildroot}%{_datadir}/freepbx/admin/modules/%{rawname}
%{__cp} -aR `ls | egrep -v '^(agi-bin|bin|etc|sounds|moh|images|LICENSE|README.md)'` %{buildroot}%{_datadir}/freepbx/admin/modules/%{rawname}

%{__install} -d %{buildroot}%{_datadir}/freepbx/admin/modules/%{rawname}/assets/less/cache

%preun
find %{_datadir}/freepbx/admin/modules/%{rawname}/assets/less/cache -mindepth 1 -maxdepth 1 -exec rm -rf '{}' ';'

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%doc README.md
%defattr(0644,%{sown},%{sgrp},0755)

%{_datadir}/freepbx/admin/assets/*
%{_datadir}/freepbx/admin/modules/%{rawname}
%attr(0664,%{own},%{grp}) %config(noreplace) %{_sysconfdir}/asterisk/*
%dir %attr(0755,%{own},%{grp}) %{_datadir}/freepbx/admin/modules/%{rawname}/assets/less/cache

%changelog
* Thu Feb 20 2025 Luigi Iotti <asterisk@iotti.biz> - 16.0.46.27
- Updated version

* Wed Jan 29 2025 Luigi Iotti <asterisk@iotti.biz> - 16.0.46.26
- Updated version

* Thu Jan 16 2025 Luigi Iotti <asterisk@iotti.biz> - 16.0.46.25
- Updated version

* Wed Dec 18 2024 Luigi Iotti <asterisk@iotti.biz> - 16.0.46.23
- Updated version

* Fri Nov 29 2024 Luigi Iotti <asterisk@iotti.biz> - 16.0.46.22
- Updated version

* Fri Nov 15 2024 Luigi Iotti <asterisk@iotti.biz> - 16.0.46.23
- Updated version

* Mon Nov 11 2024 Luigi Iotti <asterisk@iotti.biz> - 16.0.46.21
- Updated version

* Thu Oct 17 2024 Luigi Iotti <asterisk@iotti.biz> - 16.0.46.19
- Updated version

* Tue Sep 24 2024 Luigi Iotti <asterisk@iotti.biz> - 16.0.46.16
- Updated version

* Thu Aug 29 2024 Luigi Iotti <asterisk@iotti.biz> - 16.0.46.14
- Updated version

* Wed Jul 17 2024 Luigi Iotti <asterisk@iotti.biz> - 16.0.46.10
- Updated version

* Thu May 30 2024 Luigi Iotti <asterisk@iotti.biz> - 16.0.46.9
- Updated version

* Mon Mar 25 2024 Luigi Iotti <asterisk@iotti.biz> - 16.0.46.8
- Updated version

* Wed Feb 28 2024 Luigi Iotti <asterisk@iotti.biz> - 16.0.46.3
- Updated version

* Thu Feb 01 2024 Luigi Iotti <asterisk@iotti.biz> - 16.0.46.5
- Updated version

* Mon Dec 04 2023 Luigi Iotti <asterisk@iotti.biz> - 16.0.46.3
- Updated version

* Thu Oct 05 2023 Luigi Iotti <asterisk@iotti.biz> - 16.0.46.2
- Updated version

* Thu Sep 07 2023 Luigi Iotti <asterisk@iotti.biz> - 16.0.43
- Updated version

* Tue Sep 05 2023 Luigi Iotti <asterisk@iotti.biz> - 16.0.42
- Updated version

* Tue Aug 29 2023 Luigi Iotti <asterisk@iotti.biz> - 16.0.41
- Updated version

* Wed May 31 2023 Luigi Iotti <asterisk@iotti.biz> - 16.0.38
- Updated version

* Tue May 23 2023 Luigi Iotti <asterisk@iotti.biz> - 16.0.36
- Updated version

* Wed May 03 2023 Luigi Iotti <asterisk@iotti.biz> - 16.0.32
- Updated version

* Sun Apr 16 2023 Luigi Iotti <asterisk@iotti.biz> - 16.0.38
- do not create assets/ucp/less/cache since it is likely unneeded

* Tue Apr 04 2023 Luigi Iotti <asterisk@iotti.biz> - 16.0.31
- Updated version

* Mon Dec 05 2022 Luigi Iotti <asterisk@iotti.biz> - 16.0.30
- Updated version

* Wed Sep 28 2022 Luigi Iotti <asterisk@iotti.biz> - 16.0.29
- Updated version

* Thu Sep 08 2022 Luigi Iotti <asterisk@iotti.biz> - 16.0.28
- Updated version

* Tue Jun 14 2022 Luigi Iotti <asterisk@iotti.biz> - 16.0.27
- Updated version

* Mon Apr 25 2022 Luigi Iotti <asterisk@iotti.biz> - 16.0.25
- Updated version

* Wed Feb 23 2022 Luigi Iotti <asterisk@iotti.biz> - 16.0.21
- Updated version

* Thu Jan 20 2022 Luigi Iotti <asterisk@iotti.biz> - 16.0.18
- Initial build
